type RssFeed = {
    feedTitle: string;
    items: RssEntry[];
};
type RssEntry = {
    title: string;
    description: string;
    link: string;
    pubDate: string;
};
interface FlatRssEntry extends RssEntry {
    feedName: string;
    releaseNoteUrl: string;
}
declare const parseRssFeed: (rssString: string) => RssFeed;
declare const fetchRssFeed: (url: string) => Promise<RssFeed>;
declare const transformData: (data: FlatRssEntry[][]) => FlatRssEntry[];
declare const RssFeeds: (props: RssFeedsProps) => import("@emotion/react/jsx-runtime").JSX.Element;
type RssFeedsProps = {
    dataSources: string[];
};
export default RssFeeds;
export { transformData, parseRssFeed, fetchRssFeed, FlatRssEntry };
